Subject: Re: [GIT PULL] Qualcomm ARM64 DT updates for 5.5

From: Bjorn Andersson <[email-masked]>
Date: Tue, 10 Dec 2019 10:17:25 -0800

On Tue 10 Dec 09:36 PST 2019, Amit Kucheria wrote:

> On Tue, Dec 10, 2019 at 4:27 PM Stephan Gerhold <[email-masked]> wrote:
> >
> > On Thu, Nov 07, 2019 at 09:18:54PM -0600, Andy Gross wrote:
> > > On Thu, Nov 07, 2019 at 07:36:03PM +0530, Amit Kucheria wrote:
> > > > (Removing arm-soc)
> > > >
> > > > Hi Andy,
> > > >
> > > > On Thu, Nov 7, 2019 at 1:04 AM Andy Gross <[email-masked]> wrote:
> > > > >
> > > > > Arnd, Olof, and Kevin,
> > > > >
> > > > > I have one slight faux paux in this pull request.  A drivers: soc change got
> > > > > into my arm64 DTS branch and while it is innocuous, it wasn't easy to fix
> > > > > without messing up a lot of people who depend on the SHAs not changing.  So I'm
> > > > > sorry for this inclusion.  I'll scrub this better next time.
> > > > >
> > > > > Andy
> > > >
> > > > > ----------------------------------------------------------------
> > > > > Amit Kucheria (5):
> > > > >       arm64: dts: qcs404: thermal: Add interrupt support
> > > > >       arm64: dts: msm8998: thermal: Add interrupt support
> > > > >       arm64: dts: msm8996: thermal: Add interrupt support
> > > > >       arm64: dts: sdm845: thermal: Add interrupt support
> > > > >       arm64: dts: msm8916: thermal: Fixup HW ids for cpu sensors
> > > >
> > > > One of my patches to add interrupt support to msm8916 tsens is missing
> > > > here. Specifically this one:
> > > > https://patchwork.kernel.org/patch/11201853/
> > > >
> > > > Will there be a second PR this cycle?
> > >
> > > I can work up another and throw it on top.
> > >
> >
> > FYI, the patch seems to be still missing in 5.5-rc1.
> > tsens now fails to probe on MSM8916 with:
> >
> >   qcom-tsens 4a9000.thermal-sensor: IRQ uplow not found
> >
> > Can you queue up the patch as fix for 5.5?
> 
> Indeed. Andy/Bjorn, let me know if you need anything from me to get
> this into -rc2.
> 

I'm pulling in some fixes for a rc-pull, so I could add it there.

But why are we breaking backwards compatibility with existing dtbs to
add a new (optional) feature? Shouldn't there be a rc-fix in the driver
for this regression?

Regards,
Bjorn

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel